# Generated by rust2rpm
# https://github.com/TimonPost/crossterm/issues/105
%bcond_with check
%global debug_package %{nil}

%global crate crossterm

Name:           rust-%{crate}
Version:        0.6.0
Release:        1%{?dist}
Summary:        Crossplatform terminal library for manipulating terminals

# https://github.com/TimonPost/crossterm/issues/99
License:        MIT
URL:            https://crates.io/crates/crossterm
Source:         %{crates_source}
# Initial patched metadata
# Update crossterm_style to 0.2, https://github.com/TimonPost/crossterm/pull/94
Patch0:         crossterm-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(crossterm_cursor/default) >= 0.1.0 with crate(crossterm_cursor/default) < 0.2.0)
BuildRequires:  (crate(crossterm_input/default) >= 0.1.0 with crate(crossterm_input/default) < 0.2.0)
BuildRequires:  (crate(crossterm_screen/default) >= 0.1.0 with crate(crossterm_screen/default) < 0.2.0)
BuildRequires:  (crate(crossterm_style/default) >= 0.2.0 with crate(crossterm_style/default) < 0.3.0)
BuildRequires:  (crate(crossterm_terminal/default) >= 0.1.0 with crate(crossterm_terminal/default) < 0.2.0)
BuildRequires:  (crate(crossterm_utils/default) >= 0.1.0 with crate(crossterm_utils/default) < 0.2.0)

%global _description \
An crossplatform terminal library for manipulating terminals.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+crossterm_cursor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossterm_cursor-devel %{_description}

This package contains library source intended for building other packages
which use "crossterm_cursor" feature of "%{crate}" crate.

%files       -n %{name}+crossterm_cursor-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+crossterm_input-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossterm_input-devel %{_description}

This package contains library source intended for building other packages
which use "crossterm_input" feature of "%{crate}" crate.

%files       -n %{name}+crossterm_input-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+crossterm_screen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossterm_screen-devel %{_description}

This package contains library source intended for building other packages
which use "crossterm_screen" feature of "%{crate}" crate.

%files       -n %{name}+crossterm_screen-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+crossterm_style-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossterm_style-devel %{_description}

This package contains library source intended for building other packages
which use "crossterm_style" feature of "%{crate}" crate.

%files       -n %{name}+crossterm_style-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+crossterm_terminal-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossterm_terminal-devel %{_description}

This package contains library source intended for building other packages
which use "crossterm_terminal" feature of "%{crate}" crate.

%files       -n %{name}+crossterm_terminal-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+cursor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cursor-devel %{_description}

This package contains library source intended for building other packages
which use "cursor" feature of "%{crate}" crate.

%files       -n %{name}+cursor-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+input-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+input-devel %{_description}

This package contains library source intended for building other packages
which use "input" feature of "%{crate}" crate.

%files       -n %{name}+input-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+screen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+screen-devel %{_description}

This package contains library source intended for building other packages
which use "screen" feature of "%{crate}" crate.

%files       -n %{name}+screen-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+style-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+style-devel %{_description}

This package contains library source intended for building other packages
which use "style" feature of "%{crate}" crate.

%files       -n %{name}+style-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+terminal-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+terminal-devel %{_description}

This package contains library source intended for building other packages
which use "terminal" feature of "%{crate}" crate.

%files       -n %{name}+terminal-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# XXX: Technically this is an API break, but nothing uses that function
#      and it is not worth packaging old version of crossterm_style.
find -type f -exec sed -i -e "s/ColorType, //" {} +
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Mar 15 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.0-1
- Initial package
